//TX67804  JOB  1,TX67804,
//             CLASS=A,MSGCLASS=A,MSGLEVEL=(1,1),COND=(0,NE)
//*
//* 2021/05/26 @kl TX67804 set console area defaults to 0
//*
//RECEIVE EXEC SMP4
//SMPPTFIN   DD DATA,DLM='??'
++ USERMOD(TX67804)     /* REWORK(20210424) */             .
++ VER (X067)
   FMID(EBA1101)
   PRE  (UX12580)
 /*
   PROBLEM DESCRIPTION(S):
     TX67804 -
       Modify full capability display console sysgen defaults
       to eliminate out-of-line display areas (rather than
       forcing one default-sized area).

   COMPONENT:  5741-SC1S1-EBA1101

   APARS FIXED: TX67804

   SPECIAL CONDITIONS:
     IOGEN:  An I/O generation is required for implementation
       of the functionality added by this usermod.  It must be
       installed on the system where a stage 1 assembly is run
       to be effective.
       GENTYPE = IO

   COMMENTS:
     LAST CHANGE:  2021/04/24

     REWORK HISTORY:
      2021/04/24: Created.

     THE FOLLOWING MODULES AND/OR MACROS ARE AFFECTED BY THIS USERMOD:

     MACROS
       SGIEI1CS

     LISTEND
 */.
++ MACUPD   (SGIEI1CS) DISTLIB(AGENLIB ).
./ CHANGE NAME=SGIEI1CS
&SGSCHAA(1)    SETA 0                DEFAULT NO AREAS          @TX67804 15059020
&SGSCHAA(12)   SETA 0                DEFAULT NO AREAS          @TX67804 15064020
         AGO   .B5L                  DEFAULT NO AREAS          @TX67804 15069020
&SGSCHAA(1)    SETA 0                DEFAULT NO AREAS          @TX67804 15129020
&SGSCHAA(12)   SETA 0                DEFAULT NO AREAS          @TX67804 15134020
         AGO   .B5L                  DEFAULT NO AREAS          @TX67804 15137000
         AGO   .B5B                                            @TX67804 15186000
.B5L MNOTE 0,'* * * IEIGEN931 SCHEDULR CONSOLE &ADDRESO WILL HAVE NO DI+15187000
               SPLAY AREAS'                                    @TX67804 15188000
&SGAR01A(&C)   SETA 0                DEFAULT NO AREAS          @TX67804 81768002
&SGAR12A(&C)   SETA 0                DEFAULT NO AREAS          @TX67804 81776002
         AGO   .K9L                  DEFAULT NO AREAS          @TX67804 81784002
&SGAR01A(&C)   SETA 0                DEFAULT NO AREAS          @TX67804 81880002
&SGAR12A(&C)   SETA 0                DEFAULT NO AREAS          @TX67804 81888002
         AGO   .K9L                  DEFAULT NO AREAS          @TX67804 81889002
&SGAR01A(&C)   SETA 0                DEFAULT NO AREAS          @TX67804 82040002
&SGAR12A(&C)   SETA 0                DEFAULT NO AREAS          @TX67804 82048002
         AGO   .K9L                  DEFAULT NO AREAS          @TX67804 82056002
         AGO   .K9J                                            @TX67804 82114002
.K9L MNOTE 0,'* * * IEIGEN931 SECONSLE &ADDRESO WILL HAVE NO DISPLAY AR+82116002
               EAS'                                            @TX67804 82116202
??
//SMPCNTL  DD  *
  RECEIVE S(TX67804)
        .
//*
//APPLYCK EXEC SMP4
//SMPCNTL  DD  *
  APPLY S(TX67804)
        CHECK
        BYPASS(ID)
        .
//*
//APPLY   EXEC SMP4
//SMPCNTL  DD  *
  APPLY S(TX67804)
        DIS(WRITE)
        .
//
//*---- use the following steps for REJECT or RESTORE ------------- ***
//
//REJECT  EXEC SMP4
//SMPCNTL  DD  *
  REJECT S(TX67804).
//

//RESTORE EXEC SMP4
//SMPCNTL  DD  *
  RESTORE S(TX67804).
//
